Page MenuHomePhabricator

Decommission db2058.codfw.wmnet
Closed, ResolvedPublic

Description

db2058 had a broken storage T229449: db2058: Broken storage and needs to be decommissioned

This task will track the decommission-hardware of server db2058.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2058.codfw.wmnet

Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label RAID controller as broken so it doesn't get re-used T229449#5383312
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Medium priority.Aug 1 2019, 4:59 AM
Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

Change 527058 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2058

https://gerrit.wikimedia.org/r/527058

Marostegui updated the task description. (Show Details)Aug 1 2019, 10:47 AM

Change 527058 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2058

https://gerrit.wikimedia.org/r/527058

Mentioned in SAL (#wikimedia-operations) [2019-08-01T10:50:13Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2058 from config T229543 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2019-08-01T10:51:15Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2058 from config T229543 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2019-08-02T05:06:55Z] <marostegui> Remove db2058 from tendril and zarcillo T229543

Change 527382 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2058

https://gerrit.wikimedia.org/r/527382

Change 527382 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2058

https://gerrit.wikimedia.org/r/527382

Mentioned in SAL (#wikimedia-operations) [2019-08-02T05:10:42Z] <marostegui> Stop MySQL on db2058 for decommissioning T229543

Marostegui reassigned this task from Marostegui to RobH.Aug 2 2019, 5:11 AM
Marostegui edited projects, added ops-codfw; removed DBA.
Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops to decommission

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Aug 16 2019, 3:43 PM

Change 541413 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove references to db2058

https://gerrit.wikimedia.org/r/541413

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2058.codfw.wmnet

  • db2058.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 541413 merged by Marostegui:
[operations/puppet@production] site.pp: Remove references to db2058

https://gerrit.wikimedia.org/r/541413

Change 541414 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove db2058 production DNS

https://gerrit.wikimedia.org/r/541414

Change 541414 merged by Marostegui:
[operations/dns@master] wmnet: Remove db2058 production DNS

https://gerrit.wikimedia.org/r/541414

Marostegui reassigned this task from RobH to Papaul.Oct 8 2019, 5:51 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready final decommissioning steps + switch disablement

Papaul added a comment.Oct 9 2019, 3:58 PM
papaul@asw-d-codfw# show | compare 
[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-6/0/6;
[edit interfaces interface-range disabled]
     member ge-6/0/17 { ... }
+    member ge-6/0/6;
[edit interfaces]
-   ge-6/0/6 {
-       description db2058;
-       enable;
-   }
Papaul updated the task description. (Show Details)Oct 9 2019, 4:06 PM
Papaul updated the task description. (Show Details)Oct 10 2019, 3:48 PM

Change 542252 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remoce mgmt DNS for db2058 and db2069

https://gerrit.wikimedia.org/r/542252

Change 542252 merged by Dzahn:
[operations/dns@master] DNS: Remove mgmt DNS for db2058 and db2069

https://gerrit.wikimedia.org/r/542252

Papaul closed this task as Resolved.Oct 11 2019, 1:32 AM
Papaul updated the task description. (Show Details)

Complete